# SPDX-FileCopyrightText: 2024 Lubin Bailly <lubin.bailly@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  dgn-hardware.model = "EX2300-48P";
  dgn-isp = {
    enable = true;
    AP = [
      # H1-00
      "ge-0/0/0"
      "ge-0/0/1"
      "ge-0/0/2"
      "ge-0/0/3"
      "ge-0/0/4"
      "ge-0/0/5"
      # H1-01
      "ge-0/0/6"
      "ge-0/0/7"
      "ge-0/0/8"
      "ge-0/0/9"
      "ge-0/0/10"
      "ge-0/0/11"
      # H1-02
      "ge-0/0/12"
      "ge-0/0/13"
      "ge-0/0/14"
      "ge-0/0/15"
      "ge-0/0/16"
      "ge-0/0/17"
    ];
    admin-ip = "fd26:baf9:d250:8000::1001/64";
  };
  dgn-interfaces = {
    # oob
    "ge-0/0/42".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };
    # ilo
    "ge-0/0/47".ethernet-switching = {
      interface-mode = "access";
      vlans = [ "admin-core" ];
    };

    # router
    "xe-0/1/0".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };
    # netaccess01
    "xe-0/1/1".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [
        "users"
        "ap-staging"
        "admin-ap"
        "admin-core"
      ];
    };
    # netcore01 (Potos)
    "xe-0/1/2".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [
        "all"
      ];
    };
    # uplink
    "ge-0/1/3".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "uplink-cri" ];
    };

    # debug management
    "me0".inet.addresses = [ "192.168.42.6/24" ];
  };
}
