# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ meta, name, ... }:

let
  port = 9428;
in

{
  services.victorialogs = {
    enable = true;

    flags = {
      retentionPeriod = "4w";
      httpListenAddr = "${meta.network.${name}.netbirdIp}:${builtins.toString port}";
    };
  };

  networking.firewall.interfaces.wt0.allowedTCPPorts = [ port ];
}
