# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  boot.supportedFilesystems.sshfs = true;

  systemd.mounts = [
    {
      what = "dgnum@sas.eleves.ens.fr:/users/guests/";
      type = "fuse.sshfs";
      where = "/users/guests";

      after = [ "network-online.target" ];
      wants = [ "network-online.target" ];
      wantedBy = [ "default.target" ];
      options = builtins.concatStringsSep "," [
        # Filesystem options
        "_netdev"
        "allow_other"
        "ro"

        # SSH options
        "reconnect"
        "IdentityFile=/etc/ssh/ssh_host_ed25519_key"
      ];
    }
  ];
}
