# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
# SPDX-FileContributor: Constantin Gierczak--Galle <cst@dgnum.eu>
# SPDX-FileContributor: Elias Coppens <elias.coppens@dgnum.eu>
# SPDX-FileContributor: Lubin Bailly <lubin.bailly@dgnum.eu>
# SPDX-FileContributor: Maurice Debray <maurice.debray@dgnum.eu>
# SPDX-FileContributor: Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

/*
  To add a new member add an attribute to `members`
  Then add the key to the required groups.
*/

{
  organization = {
    groups = {
      # members of this group are root on all nodes
      root = [
        "thubrecht"
        "raito"
        "mdebray"
      ];

      bureau = [
        "jemagius"
        "raito"
        "mdebray"
        "ecoppens"
      ];

      # members of this group are root on the fai infrastructure
      fai = [
        "catvayor"
        "ecoppens"
      ];

      lab = [
        "catvayor"
        "cst1"
        "ecoppens"
      ];

      hypervisors = [
        "catvayor"
        "ecoppens"
      ];

      nix-builder = [
        "catvayor"
        "ecoppens"
        "mdebray"
        "raito"
        "thubrecht"
      ];
    };
  };
}
