# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

let
  local = path: {
    _type = "static";
    inherit path;
  };
  npr = id: hash: { inherit id hash; };
in

{
  lix = [
    (local ./lix/01-disable-installChecks.patch)
  ];

  "nixos-24.11" = [
    # nixos/nextcloud: Rename autocreate (a no-op) to verify_bucket_exists
    (npr 275165 "sha256-9a26V3Pi8yLD3N9+mC1kvJoruxRTp/qOHapnt6VX7pw=")

    # Crabfit: don't depend on all google-fonts
    (local ./nixpkgs/03-crabfit-karla.patch)

    # pretalx env file option
    (local ./nixpkgs/01-pretalx-environment-file.patch)

    # Kanidm memberless groups provisionning
    (local ./nixpkgs/07-kanidm-groups-module.patch)
    (local ./nixpkgs/08-kanidm-groups-pkgs.patch)

    # openbao: init at 2.0.3
    (npr 354366 "sha256-hnGmwmkGeGY6fwZ3L3HSvUX5A5ZpxgslzfmSs1UowdA=")
    # openbao: 2.1.0 -> 2.1.1
    (npr 375706 "sha256-BQ4O/ub4tivf4cKb7flTpzC7T/4pIQuyEGOwfD12gco=")
  ];

  "nixos-unstable" = [
    # Build netbird-relay
    (local ./nixpkgs/05-netbird-relay.patch)
    {
      _type = "commit";
      sha = "87c3740ba46d1486f0b1133980e5c152006f2ee3";
      hash = "sha256-0lzC7Ks0KPG8fDnPrnSh7z+NOVHNN5G5XByvmNGWr5M=";
      revert = true;
    }
  ];

  "agenix" = [
    {
      _type = "url";
      url = "https://github.com/ryantm/agenix/pull/292.patch";
      hash = "sha256-e45hiHF0HbCYb+3RRhy+8nNIFvefb6SZSN3xcl1mpvI=";
    }
  ];
}
